package cn.com.qmth.examcloud.core.reports.api.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.api.commons.exchange.PageInfo;
import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.core.reports.base.bean.ExamStudentCountBean;
import cn.com.qmth.examcloud.core.reports.service.ExamStudentCountService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;

@RestController
@Api(tags = "考生在线人数")
@RequestMapping("${$rmp.ctr.reports}/" + "examStudentCount")
public class ExamStudentCountController extends ControllerSupport {
	@Autowired
	private ExamStudentCountService examStudentCountService;
	
	@GetMapping("/getOnlineCount")
	@ApiOperation(value = "获取在线人数")
	public Long getOnlineCount(@RequestParam(required = false) Long orgId,@RequestParam(required = false) Long examId) {
		User user = getAccessUser();
		return examStudentCountService.getOnlineCount(user.getRootOrgId(), orgId,examId);
	}
	@GetMapping("page/{pageNo}/{pageSize}")
	@ApiOperation(value = "分页查询考生在线人数及完成情况")
	public PageInfo<ExamStudentCountBean> queryPage(@RequestParam Long rootOrgId,
			@PathVariable @ApiParam(value = "pageNo = 1,2,3...") Integer pageNo, @PathVariable Integer pageSize) {
		return examStudentCountService.queryPage(rootOrgId, pageNo, pageSize);
	}
}