package cn.com.qmth.examcloud.core.reports.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import cn.com.qmth.examcloud.core.reports.dao.entity.StudentCountEntity;

public interface StudentCountRepo extends JpaRepository<StudentCountEntity, Long>,
		JpaSpecificationExecutor<StudentCountEntity> {
	public StudentCountEntity findByRootOrgId(Long rootOrgId);
	
	@Modifying
	@Query(value = "update ec_r_student_count set online_count=0", nativeQuery = true)
	public void resetAllCount();
	
	@Query(value = "select * from ec_r_student_count where root_org_id in(?1)", nativeQuery = true)
	public List<StudentCountEntity> getCountByRootOrgIds(List<Long> rootOrgIds);
	
	@Query(value = "select sum(online_count) from ec_r_student_count", nativeQuery = true)
	public long getSumOnlineCount();
}
